
QGIS Application - Bug report #15444

QGIS crashes with NAN values

2016-08-16 10:05 AM - Carlos Cerdan

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23370

Description

I have some monthly precipitation raster layers

1

 with "NAN" values where there isn't calculated values.

When one of this layers is loaded, it's showed fine in grey scale, but when I try styling a raster layer with pseudocolor, QGIS crashes.

Tryed in Ubuntu 16.04 - QGIS 2.16.1 I got "segment violation". In Windows 7 - QGIS 2.16.0, "Minidump Written to C"

I've attached a file for testing.

[1] http://ons.snirh.gob.pe/SOURCES/.Peru/.SENAMHI/.PISCO/.Precipitation/.Monthly/.Precipitation/datafiles.html

Associated revisions

Revision 34ebe124 - 2016-08-17 02:56 AM - Nyall Dawson

Don't crash raster shader with nan or inf values (fix #15444)

Revision e37ffd01 - 2016-08-17 07:38 AM - Nyall Dawson

Don't crash raster shader with nan or inf values (fix #15444)

(cherry-picked from 34ebe124ff62956095941b5bb76809c6ba4b1a0f)

Revision a1f8a595 - 2016-08-17 07:39 AM - Nyall Dawson

Don't crash raster shader with nan or inf values (fix #15444)

(cherry-picked from 34ebe124ff62956095941b5bb76809c6ba4b1a0f)

History

#1 - 2016-08-16 05:57 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"34ebe124ff62956095941b5bb76809c6ba4b1a0f".

Files

2025-04-27 1/2

#fn1
http://ons.snirh.gob.pe/SOURCES/.Peru/.SENAMHI/.PISCO/.Precipitation/.Monthly/.Precipitation/datafiles.html


201606.tiff 635 KB 2016-08-16 Carlos Cerdan

2025-04-27 2/2


